ScXMLFinalElt(3)

NAME
ScXMLFinalElt - implements the <final> SCXML element.

SYNOPSIS

#include <Inventor/scxml/ScXMLFinalElt.h>

Inherits ScXMLAbstractStateElt.

  Public Member Functions
virtual SoType getTypeId (void) const
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.
virtual void setOnEntry (ScXMLOnEntryElt *onentry)
virtual ScXMLOnEntryElt * getOnEntry (void) const
virtual void setOnExit (ScXMLOnExitElt *onexit)
virtual ScXMLOnExitElt * getOnExit (void) const
virtual void copyContents (const ScXMLElt *rhs)
virtual const ScXMLElt * search (const char *attrname, const char *attrvalue) const

  Static Public Member Functions
static ScXMLEltReader * getElementReader (void)
static SoType getClassTypeId (void)
static void * createInstance (void)
static void initClass (void)
static void cleanClass (void)

  Additional Inherited Members

Detailed Description

implements the <final> SCXML element. A <final> element takes an 'id' attribute (required), and can have one child of type <onentry> and <onexit>.

Since
    Coin 3.0

Member Function Documentation

  SoType ScXMLFinalElt::getTypeId (void) const [virtual]

Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

See also
    SoBase::getTypeId() const

Implements ScXMLAbstractStateElt.

  void ScXMLFinalElt::copyContents (const ScXMLElt * rhs) [virtual]

Reimplemented from ScXMLAbstractStateElt.

  const ScXMLElt * ScXMLFinalElt::search (const char * attrname, const char * attrvalue) const [virtual]
This method searches the SCXML structure for an element with the given attribute value for the given attribute.

Returns NULL if nothing was found.

This function needs to be reimplemented to traverse child elements.

Reimplemented from ScXMLAbstractStateElt.

Author

Generated automatically by Doxygen for Coin from the source code.